// @see https://codex.wordpress.org/Plugin_API/Action_Reference/bulk_edit_custom_box
(function($) {

    $('input.paywall_charge').on('change', function(){
      var $children = $(this).parents('fieldset').find('.charge-condition');
      var charge = $(this).filter(':checked').val();
      charge == 0 ? $children.addClass('hide-if-js') : $children.removeClass('hide-if-js');
    });

	// we create a copy of the WP inline edit post function
	var $wp_inline_edit = inlineEditPost.edit;

	// overwrite the function with our own code
	inlineEditPost.edit = function( id ) {

		// "call" the original WP edit function
		// we don't want to leave WordPress hanging
		$wp_inline_edit.apply( this, arguments );

		// now we take care of our business

		// get the post ID
		var $post_id = 0;
		if ( typeof( id ) == 'object' ) {
			$post_id = parseInt( this.getId( id ) );
		}

		if ( $post_id > 0 ) {
			// define the edit row
			var $edit_row = $( '#edit-' + $post_id );
			var $post_row = $( '#post-' + $post_id );

			// get the data
      var charge = $( '.column-paywall_amount span', $post_row ).data('paywall-charge');
      var amount = $( '.column-paywall_amount span', $post_row ).data('paywall-amount');
      
      var i = charge == 0 ? 0 : 1;

			// populate the data
			$( ':input[name="paywall_amount"]', $edit_row ).val(amount);
      $( ':input[name="paywall_charge"]:eq(' + i + ')', $edit_row ).prop('checked', 'checked');
      // 如果为收费内容，则显示费用表单项

      if (i == 1) {
        $('#edit-' + $post_id + ' .charge-condition').removeClass('hide-if-js');
      }
		}
	};
  
	$( document ).on( 'click', '#bulk_edit', function() {
		// define the bulk edit row
		var $bulk_row = $( '#bulk-edit' );

		// get the selected post ids that are being edited
		var $post_ids = new Array();
		$bulk_row.find( '#bulk-titles' ).children().each( function() {
			$post_ids.push( $( this ).attr( 'id' ).replace( /^(ttle)/i, '' ) );
		});

		// get the data
		var $paywall_charge = $bulk_row.find( 'input[name="paywall_charge"]:checked' ).val();
		var $paywall_amount = $bulk_row.find( 'input[name="paywall_amount"]' ).val();

		// save the data
		$.ajax({
			url: ajaxurl, // this is a variable that WordPress has already defined for us
			type: 'POST',
			async: false,
			cache: false,
			data: {
				action: 'save_bulk_edit_paywall', // this is the name of our WP AJAX function that we'll set up next
				post_ids: $post_ids, // and these are the 2 parameters we're passing to our function
				paywall_charge: $paywall_charge,
				paywall_amount: $paywall_amount
			}
		});
	});

})(jQuery);